I have tried upgrading from OES 11 to OES 11 SP1 (and SLES 11 SP2) on one machine, and directly installing OES 11 SP1 on another machine. I get the same problem, in the installation sequence or by directly trying "yast2 novell-afp":

AFP Proxy User configuration failed.

With this error, afptcpd won't start.

Marc Delisle